Re: Issue while upgrading SM from 9.30 to 9.32 (308 Views)
Reply
Regular Advisor
deepsm
Posts: 179
Registered: ‎06-29-2011
Message 1 of 4 (421 Views)
Accepted Solution

Issue while upgrading SM from 9.30 to 9.32

Hi Experts

 

I am getting below error while upgrading application of HPSM from 9.30 to 9.32:-

 

The record being added contains a duplicate key (file.load,add.record.0)

 

Below are the data file for which i am getting error:-

 

HPPCHRELcalholidays.dta,HPPCHRELinbox.dta and HPPCHRELdevtype.dta

 

Any idea or Anybody else has faced this issue earlier.

Thanks,

deepsm
Please use plain text.
Honored Contributor
DimitarPeychev
Posts: 290
Registered: ‎11-01-2011
Message 2 of 4 (358 Views)

Re: Issue while upgrading SM from 9.30 to 9.32

Hi,

 

This may be caused by a case insensitive RDBMS.

The cause of the issue is sqlbasename is a "no duplicates" key in the datadict so these values must be unique without regard to case or it will fail to load.

You can check the following document, where by upgrade there was the same error but for svcCatApprovalLog:

 

http://support.openview.hp.com/selfsolve/document/KM1166519

 

Best regards

Dimitar Peychev

HP Support
If you find that this or any post resolved your issue, please be sure
to mark it as an accepted solution.
Please also give kudo if you find it interesting :)
Please use plain text.
Regular Advisor
deepsm
Posts: 179
Registered: ‎06-29-2011
Message 3 of 4 (321 Views)

Re: Issue while upgrading SM from 9.30 to 9.32

Hi Dimitar

 

Thanks for your inputs. Error was related to DB specifically which i could able to rectify

 

However after that as well i am getting below errors:-

 

Process panel add.rename in RAD sm.patchrel.data encountered error in line 1 (sm.patchrel.data,add.rename)
Cannot evaluate expression (sm.patchrel.data,add.rename)
Bad arg(2) oper = (sm.patchrel.data,add.rename)
Cannot evaluate expression (sm.patchrel.data,add.rename)
Script 'patchrelHelper' line 349:ERROR Cannot store a string into an Object of type number at char 1

 

Any inputs or suggestions for above errors?

Thanks,

deepsm
Please use plain text.
Esteemed Contributor
Jas1
Posts: 367
Registered: ‎04-05-2010
Message 4 of 4 (308 Views)

Re: Issue while upgrading SM from 9.30 to 9.32

Sounds like this issue. http://support.openview.hp.com/selfsolve/document/KM00609467
SM 9.32 patch fails with error on script patchrelHelper line 349.
Log a call with HP.
Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation